[centos-users 19] Re: Sylpheed のコンパイルについて

Masahiko Kato katou-m @ mxr.nes.nec.co.jp
2005年 7月 21日 (木) 11:02:55 JST


たかはたさん、Cedryさん
加藤です。

無事コンパイルでき、sylpheedを起動することができました。
ありがとうございました。

Thu, 21 Jul 2005 01:38:13 +0900に
Masahiro Takahata <takahata @ mtaka.com>さんに頂いた
『[centos-users 18] Re: Sylpheedのコンパイルについて』に対する返信です。

> たかはたと申します。
> 某所でディストリビューション作ってます…。
> 
> On Wed, 20 Jul 2005 23:31:44 +0900
> "Cedry" <cedry @ cedry.net> wrote:
> 
> > Hello. This is Cedry.
> > 
> > 加藤さん
> > こんばんは。
> > 
> > --//Reference to response "[centos-users 16] Re: 入会のごあいさつ" at Wed, 20 Jul 2005 23:21:42 +0900//--
> > 
> > >> >・sylpheedがglibバージョンエラーが出てconfigureできないこと
> > >>
> > >> あれ、私もCentOS 4.0(x86_64版)使っていますが、sylpheedは難なくコンパイルできて
> > >> 使ってますが、何か違うんでしょうかって書いてて思い出しました。
> > >> sylpheed-2.0.0beta(多分beta5)。。こっち使ってました。(いつの間にかbeta6が出てた)

折角、教えて頂いたので、beta6をダウンロードしました。

> > >使えている人がいると聞いて少し安心しました。
> > >
> > >最初sylpheed-1.0.5を試して、ダメだったのでsylpheed-2.0.0beta5を試して
> > >みたところ、次のようなエラーメッセージが表示されます。
> > >
> > >#./configure
> > >checking build system type... i686-pc-linux-gnu
> > >    (snip)
> > >checking for GTK+ - version >= 2.4.0... no
> > >*** Could not run GTK+ test program, checking why...
> > >*** The test program failed to compile or link. See the file config.log for the
> > >*** exact error that occured. This usually means GTK+ is incorrectly installed.
> > >configure: error: Test for Gtk failed. See the 'INSTALL' for help.
> > >
> > >glibcはglibc-2.3.4-2.9を使用しており、多分このバージョンがダメなのかなと
> > >思っています。

glibcがダメなのは、1.0.5の方でした。訂正します。
checking for GLIB - version >= 1.2.6... no
*** The glib-config script installed by GLIB could not be found
*** If GLIB was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GLIB_CONFIG environment variable to the
*** full path to glib-config.
configure: error: Test for GLIB failed. See the file 'INSTALL' for help.

> > エラーメッセージを見た感じではGtk2がインストールされていないのでは
> > ないでしょうか。glibcとは書いてないようです。
> > Sylpheed2betaはGtk2が必要だと書いてありますので、gtk2のパッケージがインストール
> > されていないだけかもしれません。
> 
> gtk2-develをインストールしていないだけですね。

その通りでした。
gtk2-2.4.13-14はインストールされていましたので、油断していました。
インストール手順書を良く読むと、develという字が書かれておりました。

CentOSに付いていたEvolutionはメールの受信など動作が非常に遅く、
使いにくかったので、sylpheedが使えるようになってとても嬉しいです。

これからもよろしくお願いします。
_______________________________________________________________________
        Masahiko Kato
        E-mail: katou-m @ mxr.nes.nec.co.jp



centos-users メーリングリストの案内